# JavaLibraryPlugin

abstract class JavaLibraryPlugin : Plugin<T>

A Plugin which extends the capabilities of the Java plugin by cleanly separating the API and implementation dependencies of a library.

#### Since

3.4

#### See also

<a href="https://docs.gradle.org/current/userguide/java_library_plugin.html">Java Library plugin reference</a>

## Constructors

JavaLibraryPlugin
Link copied to clipboard
@Inject
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)